﻿namespace MyPersistanceTest
{
    using System.Windows.Controls;
    using System.Windows.Navigation;
    using MyPersistanceTest.Views;

    /// <summary>
    /// <see cref="Page"/> class to present information about the current application.
    /// </summary>
    public partial class About : Page
    {
        /// <summary>
        /// Creates a new instance of the <see cref="About"/> class.
        /// </summary>
        public About()
        {
            InitializeComponent();

            this.Title = ApplicationStrings.AboutPageTitle;
        }

        /// <summary>
        /// Executes when the user navigates to this page.
        /// </summary>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void contentDetailDomainDataSource_LoadedData(object sender, System.Windows.Controls.LoadedDataEventArgs e)
        {

            if (e.HasError)
            {
                System.Windows.MessageBox.Show(e.Error.ToString(), "Load Error", System.Windows.MessageBoxButton.OK);
                e.MarkErrorAsHandled();
            }
        }

        private void btnSaveLayout_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            DmcSettingsToStorage dsts = new DmcSettingsToStorage();
            dsts.Save(this.contentDetailDataGrid, this.contentDetailDataGrid.Name, DmcSettingsToStorage.SaveProperties.Grid);
        }

        private void btnLoadLayout_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            DmcSettingsToStorage dsts = new DmcSettingsToStorage();

            dsts.Load(this.contentDetailDataGrid, this.contentDetailDataGrid.Name);

        }
    }
}