﻿namespace MyPersistanceTest
{
    using System.Windows.Controls;
    using System.Windows.Navigation;
    using MyPersistanceTest.Views;

    /// <summary>
    /// Home page for the application.
    /// </summary>
    public partial class Home : Page
    {
        /// <summary>
        /// Creates a new <see cref="Home"/> instance.
        /// </summary>
        public Home()
        {
            InitializeComponent();

            this.Title = ApplicationStrings.HomePageTitle;
        }

        /// <summary>
        /// Executes when the user navigates to this page.
        /// </summary>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void contentDetailDomainDataSource_LoadedData(object sender, System.Windows.Controls.LoadedDataEventArgs e)
        {

            if (e.HasError)
            {
                System.Windows.MessageBox.Show(e.Error.ToString(), "Load Error", System.Windows.MessageBoxButton.OK);
                e.MarkErrorAsHandled();
            }
        }

        private void btnSaveLayout_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            DmcSettingsToStorage dsts = new DmcSettingsToStorage();
            dsts.Save(this.contentDetailXamGrid, this.contentDetailXamGrid.Name, DmcSettingsToStorage.SaveProperties.Grid);
        }

        private void btnLoadLayout_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            DmcSettingsToStorage dsts = new DmcSettingsToStorage();

            dsts.Load(this.contentDetailXamGrid, this.contentDetailXamGrid.Name);

        }

    }
}